---
title: Tmux Cheat Sheet
layout: default.liquid
categories: ["Cheat Sheet"]
tags: ["cheat sheet", "tmux"]
is_draft: true
---

## Commands

```bash
$ tmux new
$ tmux new -s session_name

$ tmux attach # Default session
$ tmux attach -t session_name

$ tmux switch -t session_name

$ tmux ls     # List sessions

$ tmux detach
```

## Panes

```bash
C-b %       # vert
C-b "       # horiz
C-b hkjl    # navigation
C-b HJKL    # resize
C-b o       # next window
C-b q       # show pane numbers
C-b x       # close pane

C-b { or }  # move windows around
```

## Windows

``` bash
C-b c       # New window
C-b 1       # Go to window 1
C-b n       # Go to next window
C-b p       # Go to previous window
C-b w       # List all window
```

## References
* [Tmux official wiki](https://github.com/tmux/tmux/wiki)
* [Devhints](https://devhints.io/tmux)